//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <math.h>
#pragma hdrstop

#include "polar00.h"
//---------------------------------------------------------------------------
#pragma link "XYPlot"
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
	: TForm(Owner)
{
   PStyle = Lines;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::ScrollBar1Change(TObject *Sender)
{
   int i;
   double r,theta;

   for(i=0;i<1000;i++)
   {
      theta = i/(double(ScrollBar1->Position)/100.0);
      r = cos(theta)*sin(double(ScrollBar2->Position)/100.0*theta);
      x[i] = r * cos(theta);
      y[i] = r*sin(theta);
   }
   Label1->Caption = ScrollBar1->Position;
   Label2->Caption = ScrollBar2->Position;
   XYPlot1->XYPlot(x,y,1000,0,clRed,PStyle);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::XYPlot1MouseDown(TObject *Sender, TMouseButton Button,
	TShiftState Shift, int X, int Y)
{
  if (PStyle==Lines)
     PStyle = OpenPoints;
  else if (PStyle == OpenPoints)
     PStyle = Lines;
     XYPlot1->SetPlotStyle(PStyle,0);
}
//---------------------------------------------------------------------------
void __fastcall TForm1::XYPlot1DblClick(TObject *Sender)
{
  if (PStyle==Lines)
     PStyle = OpenPoints;
  else if (PStyle == OpenPoints)
     PStyle = Lines;
     XYPlot1->SetPlotStyle(PStyle,0);
}
//---------------------------------------------------------------------------